FROM nginx:latest

COPY ./nginx.conf.template /etc/nginx/nginx.conf.template

ARG DOMAIN
RUN envsubst '${DOMAIN}' < /etc/nginx/nginx.conf.template > /etc/nginx/nginx.conf

ENTRYPOINT ["nginx", "-g", "daemon off;"]
